*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    background: linear-gradient(to bottom, rgba(0, 0, 0, 0.75) 5%, rgba(0, 0, 0, 0) 75%, rgba(0, 0, 0, 0.75) 100%),
        url('../img/main_w768.jpg') no-repeat center top / cover;
    background-color: #0B1D26;
    height: 100vh;
    overflow-x: hidden;
    font-family: sans-serif;
}

ul {
    list-style: none;
}

a {
    text-decoration: none;
    color: inherit;
    font-weight: inherit;
}

h1,
h2,
caption {
    font-size: 5.5rem;
    font-family: 'Playfair Display', sans-serif;
    font-weight: normal;
    line-height: 1.125em;
}

h1 {
    overflow-wrap: break-word;
    word-break: break-word;
}

h2 {
    font-size: 4rem;
}

#social-icons,
#social-footer {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

#social-icons svg,
#social-footer svg {
    width: 44px;
    aspect-ratio: 1;
    fill: white;
    transition: all .5s ease;
}

#social-icons svg:hover,
#social-footer svg:hover {
    transform: scale(1.1);
}

#social-icons {
    position: fixed;
    left: 22px;
    bottom: 22px;
    z-index: 10;
}

.container {
    width: min(95%, 1600px);
    margin: 0 auto;
}

header {
    color: white;
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    z-index: 1000;
    background: linear-gradient(to bottom, rgba(0, 0, 0, 0.9) 0%, rgba(0, 0, 0, 0) 100%);
}

.header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 1px solid white;
    padding: 16px 64px;
}

.header-menu {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 40px;
    font-family: 'Poppins', sans-serif;
    font-size: 1.125rem;
    font-weight: bold;
}

.header-menu a {
    position: relative;
}

.header-menu a::before {
    content: '';
    position: absolute;
    width: 0;
    height: 0;
    bottom: 0;
    left: 50%;
    transition: all .5s ease;
    border: 1px solid transparent;
}

.header-menu a:hover::before {
    left: 0;
    width: 100%;
    height: 1px;
    border: 1px solid white;
}

.header-menu li:last-child {
    border: 1px solid white;
    border-radius: 4px;
    padding: 2px 4px;
}

.header-menu li:last-child:hover {
    border-color: transparent;
}

.logo {
    color: #FBD784;
    font-size: 2.5rem;
    font-family: 'Playfair Display', sans-serif;
    font-weight: bold;
    background: radial-gradient(closest-side at center, rgba(255, 255, 255, 0.25) 0%, rgba(255, 255, 255, 0) 100%);
}

.main {
    margin: 36vh auto 45vh auto;
    margin-inline: auto;
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: space-between;
    gap: 32px;
    color: white;
}

.top-span {
    position: relative;
    margin-left: 104px;
    font-size: 1.125rem;
    color: #FBD784;
    font-family: 'Poppins', sans-serif;
    font-weight: bold;
    letter-spacing: 0.2rem;
}

.top-span::before {
    content: '';
    position: absolute;
    width: 72px;
    height: 1px;
    border: 1px solid #FBD784;
    left: -104px;
    top: 0.5em;
}

.content {
    color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    gap: 100px;
}

.content .paragraph {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 50px;
    width: min(95%, 1200px);
    margin-bottom: 100px;
}

.content .paragraph img {
    width: 40%;
    height: auto;
    flex-shrink: 0;
}

.content .paragraph div {
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: center;
    gap: 20px;
}

.content .paragraph div p {
    font-size: 1.125rem;
    font-family: 'Poppins', sans-serif;
    font-weight: 500;
    line-height: 2rem;
}

.photo {
    opacity: 0;
}

.slider-right {
    opacity: 1;
    animation: slider-right 1s ease 1 normal forwards;
}

#cookie-banner {
    position: fixed;
    bottom: 0;
    width: 100%;
    background-color: black;
    color: white;
    padding: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    z-index: 20;
    gap: 10px;
    border-top: 1px solid white;
    text-align: center;
}

#cookie-banner h2 {
    font-size: 1.75rem;
}

.cookie-btn-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

.cookie-btn-wrapper button {
    background: #FBD784;
    color: black;
    border: none;
    padding: 5px 10px;
    cursor: pointer;
    border-radius: 4px;
}

@keyframes slider-right {
    0% {
        transform: translateX(50vw);
    }

    100% {
        transform: translateX(0vw);
    }
}

.slider-left {
    opacity: 1;
    animation: slider-left 1s ease 1 normal forwards;
}

@keyframes slider-left {
    0% {
        transform: translateX(-50vw);
    }

    100% {
        transform: translateX(0vw);
    }
}

.digit {
    position: relative;
}

.digit::after {
    content: '1';
    position: absolute;
    font-size: 12rem;
    line-height: 1em;
    color: rgba(255, 255, 255, 0.3);
    left: calc(-15%);
    top: -0.6em;
}

.second {
    flex-direction: row-reverse;
}

.second span::after {
    content: '2';
}

.third span::after {
    content: '3';
}

.price-list {
    margin-bottom: 100px;
}

.price-list table {
    width: min(500px, 100%);
    font-family: 'Poppins', sans-serif;
    font-weight: 500;
    margin: 0 auto 50px auto;
    color: white;
    border-collapse: collapse;
    border: 2px solid white;
}

.price-list table caption {
    font-size: 3rem;
    caption-side: top;
    text-align: center;
    margin-bottom: 20px;
}

.price-list table thead {
    text-decoration: underline;
}

.price-list table th,
.price-list table td {
    padding: 10px;
    border: 1px solid white;
}

.price-list table th {
    font-size: 1.25rem;
}

.price-list table td:nth-child(2) {
    text-align: center;
}

.price-list a {
    display: block;
    text-align: center;
    color: white;
    text-decoration: underline;
}

video {
    width: min(95%, 800px);
    height: auto;
    display: block;
    margin: 0 auto 20px;
}

.facebook-media {
    color: white;
    font-style: italic;
    text-align: center;
    margin-bottom: 50px;
}

.facebook-media a {
    text-decoration: underline;
}

footer {
    color: white;
    font-family: 'Poppins', sans-serif;
}

footer a {
    text-decoration: underline;
}

footer .container {
    border-top: 1px solid white;
    padding: 16px 64px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 100px;
}

footer .container .copyrights {
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: center;
    gap: 20px;
}

footer .container .copyrights p {
    font-size: 1rem;
    font-weight: 500;
}

footer .container .contact-info {
    display: flex;
    flex-direction: column;
    align-items: end;
    justify-content: center;
    gap: 20px;
}

footer .container .contact-info address,
footer .container .contact-info .copyrights p {
    text-align: right;
    font-style: normal;
    font-size: 1rem;
    line-height: 1.5rem;
}

#contain {
    display: flex;
    flex-direction: column;
    align-items: end;
    justify-content: center;
    position: fixed;
    font-family: 'Poppins', sans-serif;
    color: white;
    right: 50px;
    top: 400px;
    font-size: 1.5rem;
    padding-right: 20px;
}

#contain::after {
    content: '';
    position: absolute;
    width: 1px;
    height: 5em;
    background-color: white;
    right: 0;
    top: 0;
}

#btn-up,
#btn-lang {
    position: fixed;
    right: 22px;
    bottom: 22px;
    min-width: 44px;
    min-height: 44px;
    background-color: transparent;
    border-radius: 10px;
    font-family: 'Poppins', sans-serif;
    font-size: 1rem;
    z-index: 10;
    cursor: pointer;
    display: none;
    border: 3px solid white;
    transition: all .5s ease;
}

#btn-up:hover,
#btn-up:focus,
#btn-lang:hover,
#btn-lang:focus {
    background-color: white;
}

#btn-up {
    padding: 10px 10px;
}

#btn-up::after {
    content: '';
    position: absolute;
    width: 15px;
    height: 15px;
    border-top: 3px solid white;
    border-left: 3px solid white;
    top: 40%;
    right: 30%;
    transform: rotate(45deg);
}

#btn-up:hover::after,
#btn-up:focus::after {
    border-color: black;
}

#btn-lang {
    padding: 6px 9px;
    color: white;
}

#btn-lang:hover,
#btn-lang:focus {
    color: black;
}

.kontakt-label {
    font-weight: bold;
    margin-right: 10px;
}

@media screen and (min-width: 769px) {
    body {
        background-image: linear-gradient(to bottom, rgba(0, 0, 0, 0.75) 5%, rgba(0, 0, 0, 0) 75%, rgba(0, 0, 0, 0.75) 100%),
            url('../img/main_w1280.jpg');
    }
}

@media screen and (min-width: 1281px) {
    body {
        background-image: linear-gradient(to bottom, rgba(0, 0, 0, 0.75) 5%, rgba(0, 0, 0, 0) 75%, rgba(0, 0, 0, 0.75) 100%),
            url('../img/main_w1920.jpg');
    }
}

@media screen and (min-width: 1921px) {
    body {
        background-image: linear-gradient(to bottom, rgba(0, 0, 0, 0.75) 5%, rgba(0, 0, 0, 0) 75%, rgba(0, 0, 0, 0.75) 100%),
            url('../img/main_w2560.jpg');
    }
}

@media screen and (max-width: 900px) {
    .header {
        flex-direction: column;
        gap: 10px;
    }
}

@media screen and (max-width: 640px) {
    h1 {
        font-size: 4.5rem;
    }

    h2 {
        font-size: 3rem;
    }

    header {
        position: relative;
    }

    .main {
        margin: 20vh auto 30vh auto;
    }

    .content {
        gap: 50px;
    }

    .content .paragraph {
        flex-direction: column;
    }

    .content .paragraph img {
        width: 80%;
    }

    .top-span {
        font-size: 1rem;
        letter-spacing: 0.1rem;
        margin-left: 64px;
    }

    .top-span::before {
        width: 32px;
        left: -64px;
    }

    .digit::after {
        font-size: 10rem;
    }

    footer .container {
        flex-direction: column-reverse;
        gap: 20px;
    }

    footer .container .contact-info address {
        text-align: center;
    }

    footer .container .copyrights {
        text-align: center;
        align-items: center;
    }
}

@media screen and (max-width: 520px) {
    h1 {
        font-size: 4rem;
    }

    .header-menu {
        display: none;
    }

    .main {
        margin: 18vh auto 25vh auto;
    }

    #btn-lang {
        display: block;
    }
}

@media screen and (max-width: 320px) {
    h1 {
        font-size: 3.5rem;
    }
}

@font-face {
    font-family: 'Playfair Display';
    src: url('../fonts/PlayfairDisplay-SemiBold.woff2') format('woff2');
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Playfair Display';
    src: url('../fonts/PlayfairDisplay-Bold.woff2') format('woff2');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Poppins';
    src: url('../fonts/Poppins-ExtraBold.woff2') format('woff2');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Poppins';
    src: url('../fonts/Poppins-Medium.woff2') format('woff2');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Poppins';
    src: url('../fonts/Poppins-Bold.woff2') format('woff2');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}
